PHP UNIX Timestamp Converter

Use our PHP time-stamp converter below for quick and easy conversion of PHP timestamps into readable date/time, you can also convert dates into PHP timestamps. Power users can also convert multiple timestamps at once.

PHP Timestamp(s)

Human Readable Date(s)

Timestamp Details since Jan 01 1970. (UTC)


1793975333 seconds.
29899589 minutes.
498326 hours.
20764 days.
2966 weeks.
742 months.
57 years.


Timestamp Translations


06-11-2026 14:28:53 pm (UTC)
2026-11-06T14:28:53+0000 in ISO 8601
Fri, 06 Nov 26 14:28:53 +0000 in RFC 822 & 1036
Friday, 06-Nov-26 14:28:53 UTC in RFC 850
Fri, 06 Nov 2026 14:28:53 +0000 in RFC 1123 & 2822
2026-11-06T14:28:53+00:00 in RFC 3339 & W3C

Useful Formats

MySQL: 2026-11-06 14:28:53
US: 11/06/2026 14:28:53 or 11/06/2026 02:28:53pm
UK: 06-11-2026 14:28:53 or 06-11-2026 02:28:53pm

What Is A Timestamp?

PHP uses UNIX Timestamp’s for all of it’s date/time functions such as date(), time() and strtotime(). UNIX Timestamp is an integer of the current second since the Unix Epoch which started on . It should be mentioned that this timestamp technically does not change no matter where you are located on the globe, this makes the UNIX Timestamp especially useful for computer systems for tracking and sorting dated information online and in desktop applications.

 

UNIX Time-stamp 32-bit Limit

Unfortunately most systems and applications around the globe are still using 32-bit systems or 32-bit name-spaces for timestamps, this forces the UNIX Time-stamp to a hard limit of 2147483647, this translates to . Once we go over this number the time-stamp will become invalid and the only way to get around this is to convert to 64-bit which will provide us with a hard date limit of which you might think is good enough forever!

Share This!
Facebooktwitterredditpinterestlinkedinmail


Let us know what you think!

Has this tool helped you, or is it helping you consistently? Let us know your feedback below.